Ipelib: ipe::Painter::State Struct Reference

Ipelib

Public Attributes | List of all members
ipe::Painter::State Struct Reference

`#include <ipepainter.h>`

## Public Attributes
Color | iStroke
Color | iFill
Fixed | iPen
String | iDashStyle
TLineCap | iLineCap
TLineJoin | iLineJoin
TFillRule | iFillRule
Color | iSymStroke
Color | iSymFill
Fixed | iSymPen
Fixed | iOpacity
Attribute | iTiling
Attribute | iGradient

## Member Data Documentation

## ◆ iStroke

Color ipe::Painter::State::iStroke

Referenced by ipe::PdfPainter::drawAttributes(), ipe::Painter::Painter(), and ipe::PdfPainter::PdfPainter().

## ◆ iFill

Color ipe::Painter::State::iFill

Referenced by ipe::PdfPainter::drawAttributes(), ipe::Painter::Painter(), and ipe::PdfPainter::PdfPainter().

## ◆ iPen

Fixed ipe::Painter::State::iPen

Referenced by ipe::PdfPainter::drawAttributes(), ipe::Painter::Painter(), and ipe::PdfPainter::PdfPainter().

## ◆ iDashStyle

String ipe::Painter::State::iDashStyle

Referenced by ipe::PdfPainter::drawAttributes(), ipe::Painter::Painter(), and ipe::PdfPainter::PdfPainter().

## ◆ iLineCap

TLineCap ipe::Painter::State::iLineCap

Referenced by ipe::PdfPainter::drawAttributes(), ipe::Painter::Painter(), and ipe::PdfPainter::PdfPainter().

## ◆ iLineJoin

TLineJoin ipe::Painter::State::iLineJoin

Referenced by ipe::PdfPainter::drawAttributes(), ipe::Painter::Painter(), and ipe::PdfPainter::PdfPainter().

## ◆ iFillRule

TFillRule ipe::Painter::State::iFillRule

Referenced by ipe::Painter::Painter().

## ◆ iSymStroke

Color ipe::Painter::State::iSymStroke

Referenced by ipe::Painter::Painter().

## ◆ iSymFill

Color ipe::Painter::State::iSymFill

Referenced by ipe::Painter::Painter().

## ◆ iSymPen

Fixed ipe::Painter::State::iSymPen

Referenced by ipe::Painter::Painter().

## ◆ iOpacity

Fixed ipe::Painter::State::iOpacity

Referenced by ipe::PdfPainter::drawOpacity(), ipe::Painter::Painter(), and ipe::PdfPainter::PdfPainter().

## ◆ iTiling

Attribute ipe::Painter::State::iTiling

Referenced by ipe::PdfPainter::drawAttributes(), and ipe::Painter::Painter().

## ◆ iGradient

Attribute ipe::Painter::State::iGradient

Referenced by ipe::Painter::Painter().

The documentation for this struct was generated from the following file:

- ipepainter.h